%define        javahome   %{_jvmdir}/jdk
Name:          java-pentaho-libxml
Version:       1.1.3
Release:       3mamba
Summary:       LibXML is a namespace aware SAX-Parser utility library
Group:         Development/Libraries/Java
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://sourceforge.net/projects/jfreereport/
Source0:       http://sourceforge.net/projects/jfreereport/files/02.%20Libraries/%{version}-stable/libxml-%{version}.zip
Patch0:        java-pentaho-libxml-1.1.3-build.patch
Patch1:        java-pentaho-libxml-1.1.3-java11.patch
Patch2:        java-pentaho-libxml-1.1.3-remove-antcontrib-support.patch
Patch3:        java-pentaho-libxml-1.1.3-remove-commons-logging.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: javapackages
BuildRequires: apache-ant
BuildRequires: java-jfree-libbase
BuildRequires: java-jfree-libloader
Requires:      javapackages
Requires:      java-jfree-libbase
Requires:      java-jfree-libloader

%description
LibXML is a namespace aware SAX-Parser utility library. It eases the pain of implementing non-trivial SAX input handlers. The original code of these classes had been written by Peter Becker for the JCommon library.
LibXML replaces the JCommon-XML classes, which were not namespace aware.
Due to JCommons frozen API, namespace awareness could not be added to the original code without creating a mess.

%package javadoc
Group:         Documentation
Summary:       Javadoc for %{name}

%description javadoc
LibXML is a namespace aware SAX-Parser utility library.
This package contains documentation for %{name}.

%prep
%setup -q -c
%patch0 -p1 -b .build
%patch1 -p1 -b .java11
%patch2 -p1 -b .remove-antcontrib-support
%patch3 -p1 -b .remove-commons-logging

find . -name "*.jar" -exec rm -f {} \;
mkdir -p lib
build-jar-repository -s -p lib libbase libloader
cd lib
 
%build
ant jar javadoc

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_javadir}
install -pm 644 dist/libxml-%{version}.jar %{buildroot}%{_javadir}/libxml-%{version}.jar
ln -sf libxml-%{version}.jar %{buildroot}%{_javadir}/libxml.jar

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_javadir}/libxml-%{version}.jar
%{_javadir}/libxml.jar
%doc licence-LGPL.txt

%changelog
* Fri Dec 10 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.3-3mamba
- rebuilt with ant and java 11

* Thu Dec 02 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.3-2mamba
- restored

* Sat Jan 22 2011 gil <puntogil@libero.it> 1.1.3-1mamba
- update to 1.1.3

* Wed Dec 09 2009 gil <puntogil@libero.it> 1.0.0-2mamba
- rebuilt

* Wed Dec 09 2009 gil <puntogil@libero.it> 1.0.0-1mamba
- update to 1.0.0

* Tue Dec 08 2009 gil <puntogil@libero.it> 0.9.6-1mamba
- package created by autospec
